package com.sun.corba.se.pept.transport;

import com.sun.corba.se.pept.encoding.InputObject;
import com.sun.corba.se.pept.protocol.MessageMediator;
import com.sun.corba.se.pept.encoding.OutputObject;

public interface Connection
{
    public abstract boolean shouldRegisterReadEvent();
    
    public abstract boolean shouldRegisterServerReadEvent();
    
    public abstract boolean read();
    
    public abstract void close();
    
    public abstract Acceptor getAcceptor();
    
    public abstract ContactInfo getContactInfo();
    
    public abstract EventHandler getEventHandler();
    
    public abstract boolean isServer();
    
    public abstract boolean isBusy();
    
    public abstract long getTimeStamp();
    
    public abstract void setTimeStamp(long p0);
    
    public abstract void setState(String p0);
    
    public abstract void writeLock();
    
    public abstract void writeUnlock();
    
    public abstract void sendWithoutLock(OutputObject p0);
    
    public abstract void registerWaiter(MessageMediator p0);
    
    public abstract InputObject waitForResponse(MessageMediator p0);
    
    public abstract void unregisterWaiter(MessageMediator p0);
    
    public abstract void setConnectionCache(ConnectionCache p0);
    
    public abstract ConnectionCache getConnectionCache();
}
